net.sf.jasperreports.components.barcode4j

## Class BarcodeExpressionCollector

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.UniformBarcodeVisitor
  - - net.sf.jasperreports.components.barcode4j.BarcodeExpressionCollector

- All Implemented Interfaces:
    BarcodeVisitor

      public class BarcodeExpressionCollector
      extends UniformBarcodeVisitor

  Version:
    $Id: BarcodeExpressionCollector.java 6115 2013-04-26 10:45:06Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarcodeExpressionCollector(JRExpressionCollector collector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `collectBarcode(BarcodeComponent barcode)`
    `protected void` | `visitBarcode(BarcodeComponent barcode)`
    `void` | `visitEANCode128(EAN128Component ean128)`

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.UniformBarcodeVisitor

      `visitCodabar, visitCode128, visitCode39, visitDataMatrix, visitEAN13, visitEAN8, visitInterleaved2Of5, visitPDF417, visitPostnet, visitRoyalMailCustomer, visitUPCA, visitUPCE, visitUSPSIntelligentMail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarcodeExpressionCollector

          public BarcodeExpressionCollector(JRExpressionCollector collector)

  - ### Method Detail

    - #### collectBarcode

          protected void collectBarcode(BarcodeComponent barcode)

    - #### visitBarcode

          protected void visitBarcode(BarcodeComponent barcode)

      Specified by:
        `visitBarcode` in class `UniformBarcodeVisitor`

    - #### visitEANCode128

          public void visitEANCode128(EAN128Component ean128)

      Specified by:
        `visitEANCode128` in interface `BarcodeVisitor`
      Overrides:
        `visitEANCode128` in class `UniformBarcodeVisitor`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com